curl --request GET \
--url https://int-api.mx.com/institutions/favorites \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/institutions/favorites"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://int-api.mx.com/institutions/favorites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"institutions": [
{
"code": "mxbank",
"forgot_password_url": "https://example.url.mxbank.com/forgot-password",
"forgot_username_url": "https://example.url.mxbank.com/forgot-username",
"instructional_text": "Some instructional text <a href=\"https://example.url.mxbank.com/instructions\" id=\"instructional_text\">for end users</a>.",
"instructional_text_steps": [
"Step 1: Do this.",
"Step 2: Do that."
],
"is_disabled_by_client": false,
"iso_country_code": "US",
"medium_logo_url": "https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/100x100/default_100x100.png",
"name": "MX Bank",
"small_logo_url": "https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/50x50/default_50x50.png",
"supports_account_identification": true,
"supports_account_statement": true,
"supports_account_verification": true,
"supports_oauth": true,
"supports_tax_document": true,
"supports_transaction_history": true,
"trouble_signing_in_url": "https://example.url.mxbank.com/login-trouble",
"url": "https://www.mxbank.com"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}List favorite institutions
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
An array of strings that filters institutions in the widget by the specified country code. Acceptable codes include US, CA, and MX (Mexico).
Results are paginated. Specify current page.
This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.
Response
OK
Hide child attributes
Hide child attributes
"mxbank"
"https://example.url.mxbank.com/forgot-password"
"https://example.url.mxbank.com/forgot-username"
Render this text when end users are asked for their credentials, as it helps end users provide the correct credentials when creating a new member. May contain <a></a> tags to link to explanatory material.
"Some instructional text <a href=\"https://example.url.mxbank.com/instructions\" id=\"instructional_text\">for end users</a>."
An array of instructional steps that may contain html elements.
["Step 1: Do this.", "Step 2: Do that."]
false
"US"
"https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/100x100/default_100x100.png"
"MX Bank"
"https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/50x50/default_50x50.png"
true
true
true
true
true
true
"https://example.url.mxbank.com/login-trouble"
"https://www.mxbank.com"

